.TH CosNotification_AdminPropertiesAdmin 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotification_AdminPropertiesAdmin \- This module implements the OMG CosNotification::AdminPropertiesAdmin interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR
.LP
All objects, which inherit this interface, export functions described in this module\&.

.SH EXPORTS
.LP
.B
get_admin(Object) -> AdminProperties
.br
.RS
.TP
Types
Object = #objref
.br
AdminProperties = [AdminProperty]
.br
AdminProperty = #\&'CosNotification_Property\&'{name, value}
.br
name = string()
.br
value = #any
.br
.RE
.RS
.LP
This operation returns sequence of name-value pairs which encapsulates the current administrative properties of the target object\&.
.RE
.LP
.B
set_admin(Object, AdminProperties) -> Reply
.br
.RS
.TP
Types
Object = #objref
.br
AdminProperties = [AdminProperty]
.br
AdminProperty = #\&'CosNotification_Property\&'{name, value}
.br
name = string()
.br
value = #any
.br
Reply = ok | {\&'EXCEPTION\&', CosNotification_UnsupportedAdmin}
.br
.RE
.RS
.LP
As input, this operation accepts a sequence of name-value pairs encapsulating the desired administrative settings for the target object\&. If it is not possible to set the given properties the exception \fIUnsupportedAdmin\fR will be raised\&.
.RE
